%define git git20110415

Summary:	Telepathy text chat handler
Name:		telepathy-chat-handler
Version:	0.0
Release:	%mkrel -c %{git} 1
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-chat-handler
Source0:	%{name}-%{git}.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRequires:	kdelibs4-devel
BuildRequires:	qt4-devel
BuildRequires:	telepathy-qt4-devel
BuildRequires:	shared-desktop-ontologies-devel

%description
Telepathy text chat handler.

%files
%defattr(-,root,root)
%{_bindir}/adiumxtra-protocol-handler
%{_bindir}/telepathy-kde-text-ui
%{_kde_libdir}/kde4/kcm_telepathy_chat_config.so
%{_libdir}/libktelepathy_chat_lib.so
%{_kde_appsdir}/adiumxtra-protocol-handler/adiumxtra-protocol-handler.notifyrc
%{_kde_appsdir}/ktelepathy/ktelepathy.notifyrc
%{_kde_appsdir}/ktelepathy/styles/
%{_kde_appsdir}/ktelepathy/template.html
%dir %{_kde_appsdir}/telepathy-kde-text-ui
%{_kde_appsdir}/telepathy-kde-text-ui/chatwindow.rc
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KDE.TextUi.service
%{_kde_services}/adiumxtra.protocol
%{_kde_services}/kcm_telepathy_chat_config.desktop
%{_datadir}/telepathy/clients/KDE.TextUi.client

%package devel
Summary:	Telepathy text chat handler
Group:		Graphical desktop/KDE
Requires:	%{name} = %{version}-%{release}

%description devel
Telepathy text chat handler.

%files devel
%defattr(-,root,root)
%{_includedir}/KDETelepathy/*

%prep
%setup -q -n %{name}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%clean
rm -rf %{buildroot}


%changelog
* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110415.1.mga1
+ Revision: 86138
- imported package telepathy-chat-handler

